package dashboard

import (
	"ArmedPolice/app/controller/basic"
	"ArmedPolice/app/service"
)

type Supplier struct{ *service.Session }

type SupplierHandle func(session *service.Session) *Supplier

func (c *Supplier) StaticScore() (*basic.PageDataResponse, error) {
	return &basic.PageDataResponse{Data: nil, Count: 0}, nil
}

func NewSupplier() SupplierHandle {
	return func(session *service.Session) *Supplier {
		return &Supplier{session}
	}
}
